program keypress;

{#mode objfpc}{$H+}

procedure KeyPress(Key: Char);
begin
	case upCase(Key) of
		'0'..'9': WriteLn('Key ''', Key, ''' is numeric');
		'A', 'E', 'I', 'O', 'U': WriteLn('Key ''', Key, ''' is a vowel');
		'B'..'D', 'F'..'H', 'J'..'N', 'P'..'T', 'V'..'Z':
			WriteLn('Key ''', Key, ''' is a consonant');
	else WriteLn('Key ''', Key, ''' is not alphanumeric');
	end;
end;

var s: string;

begin
	WriteLn('Press a key, then [Enter], (or [Enter] alone to finish)');
	repeat
		ReadLn(s);
		if s <> '' then KeyPress(s[1]);
	until s='';
end.